### Function

# GtkSource utils_unescape_search_text

#### Declaration [src]

    gchar*
    gtk_source_utils_unescape_search_text (
      const gchar* text
    )

#### Description [src]

Use this function before `gtk_source_search_settings_set_search_text()`, to unescape the following sequences of characters: `\n`, `\r`, `\t` and `\\`. The purpose is to easily write those characters in a search entry.

Note that unescaping the search text is not needed for regular expression searches.

See also: `gtk_source_utils_escape_search_text()`.

#### Parameters

`text`

  Type: `const gchar*`

  The text to unescape.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The unescaped `text`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.